Public Class FrmHomage

    Private Sub cboSquare_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSquare.SelectedIndexChanged
        Select Case cboSquare.Text
            Case "Outer"
                txtRed.Text = panOuter.BackColor.R
                txtGreen.Text = panOuter.BackColor.G
                txtBlue.Text = panOuter.BackColor.B
            Case "Second"
                txtRed.Text = panNextOuter.BackColor.R
                txtGreen.Text = panNextOuter.BackColor.G
                txtBlue.Text = panNextOuter.BackColor.B
            Case "Third"
                txtRed.Text = panNextInner.BackColor.R
                txtGreen.Text = panNextInner.BackColor.G
                txtBlue.Text = panNextInner.BackColor.B
            Case "Inner"
                txtRed.Text = panInner.BackColor.R
                txtGreen.Text = panInner.BackColor.G
                txtBlue.Text = panInner.BackColor.B
            Case Else
                MsgBox("Please select a square (Outer, Second, ...)")
        End Select
    End Sub

    Private Sub btnChangeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnChangeColor.Click
        Dim Red As Integer
        Dim Green As Integer
        Dim Blue As Integer

        If IsNumeric(txtRed.Text) Then
            Red = txtRed.Text
            If Red < 0 Or Red > 255 Then
                MsgBox("Please enter a number between 0 and 255.")
                txtRed.Text = ""
                txtRed.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number.")
            txtRed.Text = ""
            txtRed.Focus()
            Exit Sub
        End If

        If IsNumeric(txtGreen.Text) Then
            Green = txtGreen.Text
            If Green < 0 Or Green > 255 Then
                MsgBox("Please enter a number between 0 and 255.")
                txtGreen.Text = ""
                txtGreen.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number.")
            txtGreen.Text = ""
            txtGreen.Focus()
            Exit Sub
        End If

        If IsNumeric(txtBlue.Text) Then
            Blue = txtBlue.Text
            If Blue < 0 Or Blue > 255 Then
                MsgBox("Please enter a number between 0 and 255.")
                txtBlue.Text = ""
                txtBlue.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number.")
            txtBlue.Text = ""
            txtBlue.Focus()
            Exit Sub
        End If

        Select Case cboSquare.Text
            Case "Outer"
                panOuter.BackColor = Color.FromArgb(Red, Green, Blue)
            Case "Second"
                panNextOuter.BackColor = Color.FromArgb(Red, Green, Blue)
            Case "Third"
                panNextInner.BackColor = Color.FromArgb(Red, Green, Blue)
            Case "Inner"
                panInner.BackColor = Color.FromArgb(Red, Green, Blue)
            Case Else
                MsgBox("Please select a square (Outer, Second, ...)")
        End Select

    End Sub
End Class
